<?php
// +----------------------------------------------------------------------
// | 贝云cms内容管理系统 
// +----------------------------------------------------------------------
// | Copyright (c) 2017 http://www.bycms.cn All rights reserved.
// +----------------------------------------------------------------------
// | 版权申明：贝云cms内容管理系统不是一个自由软件，是贝云网络官方推出的商业源码，严禁在未经许可的情况下
// | 拷贝、复制、传播、使用贝云cms内容管理系统的任意菜单，如有违反，请立即删除，否则您将面临承担相应
// | 法律责任的风险。如果需要取得官方授权，请联系官方http://www.bycms.cn
// +----------------------------------------------------------------------
namespace app\admin\controller;
use think\Controller;
use think\Db;

class Code extends Home{
	/**
	 *首页
	 * @param string $name   传入配置英文名称
	 * @return string 配置值
	 */
    public function index(){     
        if($_POST){
			
		    $Code = new \app\common\model\Code;
           $res=$Code->updates();
	       if($res){
			   $model =input("model"); 
			   if($_POST["pid"]){
				   $map["id"]=safe_replace($_POST["pid"]);
				   $data["pid"]=$_POST["pid"];
				   $info=Db::name("module")->where($map)->find();
				   $data["group_id"]=$info["group_id"];
				 
				   $data["title"]=$_POST["title"];
				   $data["url"]=$model."/index";
				   Db::name("module")->insert($data);
			   }
		      $this->success("执行成功！");
		   }else{
			  $error=$Code->getError()?$Code->getError():"执行失败";
			  $this->error($error);
		   } 

	  }
	  else{
		

		$dbname =config('database.database');

		$list=Db::query("show tables ");
		$sql="select 
			TABLE_NAME, 
			TABLE_COMMENT 
		from 
			INFORMATION_SCHEMA.Tables
		where 
			table_schema = '$dbname'";
		$re=Db::query($sql);
		$str = 'Tables_in_' . $dbname;
		$prefix=config('database.prefix');
		$lists = array();
		foreach ($list as $index => $v) {
			if(false!== strpos($v[$str],$prefix)){
				array_push($lists, $v[$str]);
			} 
		}
	$map["pid"]=0;
        $list =db('Module')->where($map)->select(); 
	    $this->assign('list', $list);;
	    $group_list =db('group')->select(); 
            /* 获取模块信息 */
       $this->assign('group_list', $group_list);
         $this->assign('lists', $lists);
		 $this->meta_title="菜单生成器";
		 $this->assign('meta_title', $this->meta_title);
	     return $this->fetch();
	   }
	
   }
}